% FT of cos in two dimensions on hex grid
% plots of Mag of FT of box times cos.
clear
f1=4/16;
f2=4/16;
r3=sqrt(3);
for i1=1:21,
   arg1=2*pi*f1*(i1-10);
   for i2=1:21,
      arg2=2*pi*f2*(i2-10);
      signal(i1,i2)=cos(arg1+arg2)*cos((arg1-arg2)/r3)-sin(arg1+arg2)*sin((arg1-arg2)/r3);
   end
end
X=fft2(signal,64,64);
M=abs(X);
figure(1)
stem3(M)
title('(stem) plot of Mag of 2-D FT of box times cosine')
xlabel('k_1')
ylabel('k_2')
figure(2)
contour(M)
title('contour plot of Mag of 2-D FT of box times cosine')
xlabel('k_1')
ylabel('k_2')
figure(3)
mesh(M)
title('perspective plot of Mag of 2-D FT of box times cosine')
xlabel('k_1')
ylabel('k_2')
