% compares the 1-D horizontal response of an ideal
% square shaped response filter (solid) with that of the ideal
% circular lowpass filter response (dotted) 
%
clear
n1=[1:1:+30];
wc=input('please input cutoff frequency in radians: ');
hr=(wc/pi)*sin(wc*n1)./(n1*pi);
hc=(wc./(2*pi*n1)).*besselj(1,wc*n1);
plot(n1,hr,'k-',n1,hc,'k:')
title('overplot of square and circular 2-D filter response along horizontal axis')
xlabel('n_1+1  -  square (solid),  circular (dashed)')
ylabel('h_i(n_1,0)')
