%
% LeGall filter plotted along with MPEG 4 lowpass filter response
% The DFT used is 512 points and zero frequency is in the middle.
%
clear
h0 = [-0.125 0.250 0.750 0.250 -0.125]';
H0=freqz(h0);
AH0=abs(H0);
figure(1)
plot(AH0,'b.-')
title('LGT (blue) and MPEG4 (green) lowpass filter magnitude responses')
xlabel('k (512 point DFT)')
hold on
x=[2 0 -4 -3  5 19 26 19 5 -3 -4 0 2]/64;
X=freqz(x);
AX=abs(X);
plot(AX,'g.-')