% plot of separable MPEG 2 lowpass filter response
%
clear
x=[-12/256 0 140/256 1 140/256 0 -12/256];
X=x'*x;
Y=fft2(X,64,64);
Y=fftshift(Y);
Y=abs(Y);
figure(1)
[x,y]=meshgrid(1:1:64,1:1:64);
mesh(x,y,Y)
title('perspective plot of separable MPEG 2 lowpass filter response')
xlabel('k+1  with  N=64')
ylabel('H(k_1,k_2)')
figure(2)
contour(Y)
title('contour plot of separable MPEG 2 lowpass filter response')
xlabel('k+1  with  N=64')
ylabel('H(k_1,k_2)')

