% plots the magnitude of frequency response of the
% vertical Sobel filter - Origin in middle of plots
%
clear
X=[-1 -2 -1;0 0 0;1 2 1];
Y=fft2(X,64,64);
Y=fftshift(Y);
Y=abs(Y);
figure(1)
[x,y]=meshgrid(1:1:64,1:1:64);
mesh(x,y,Y)
title('magnitude frequency response of Sobel vertical filter - origin at (32,32)')
xlabel('k_1 +1     for 64x64 DFT')
ylabel('k_2 +1')
zlabel('|H(k_1,k_2)')
figure(2)
contour(Y)
title('contour plot for Sobel vertical filter - origin in middle of plot')
xlabel('k_1 +1    for 64x64 DFT')
ylabel('k_2 +1')