%
% 3x3 box filter frequency response via 64x64 FFT
% zero frequency response shifted to (32,32)
%
clear
h=[1 1 1;1 1 1;1 1 1];
h=h/9;
Y=fft2(h,64,64);
Y=fftshift(Y);
Y=abs(Y);
figure(1)
[x,y]=meshgrid(1:1:64,1:1:64);
mesh(x,y,Y)
title('box filter frequency response, FFT size = 64x64')
xlabel('k_1+32)')
ylabel('k_2+32')
figure(2)
contour(Y)
title('box filter frequency response, FFT size = 64x64')
xlabel('k_1+32')
ylabel('k_2+32')