% plots the magnitude of frequency response of the
% horizontal Prewitt filter - Origin in middle of plots
%
clear
X=[-1 -1 -1;0 0 0;1 1 1];
X=X';
Y=fft2(X,64,64);
Y=fftshift(Y);
Y=abs(Y);
figure(1)
[x,y]=meshgrid(1:1:64,1:1:64);
mesh(x,y,Y)
title('magnitude frequency response of Prewitt horizontal filter - origin at (32,32)')
xlabel('k_1 +1     for 64x64 DFT')
ylabel('k_2 +1')
zlabel('|H(k_1,k_2)')
figure(2)
contour(Y)
title('contour plot for Prewitt horizontal filter')
xlabel('k_1 +1    for 64x64 DFT')
ylabel('k_2 +1')