% a routine to define an ideal circular lowpass filter
% and then design a finite length approximation using the
% windowing method with a Kaiser window.
% clear
[f1,f2]=freqspace(64,'meshgrid');
Hd=ones(64);
r=sqrt(f1.^2+f2.^2);
fmax=input('ideal edge (max|f|=1) f= ');
Hd((r>fmax))=0;
N=input('filter length = ');
b=input('Kaiser beta value = ');
figure(1)
contour(Hd)
h=fwind1(Hd,kaiser(N,b));
H=freqz2(h);
H=abs(H);
figure(2)
freqz2(h)
title('filter magnitude response')
xlabel('\omega_1')
ylabel('\omega_2')
zlabel('|H(\omega_1,\omega_2)')
figure(3)
v=[1.0 .9 .8 .7 .6 .5 .4 .3 .2 .1];
contour(H,v)
title('contour plot of filter magnitude response  64x64 DFT')
xlabel('k_1 +1   -  origin in middle')
ylabel('k_2 +1')
